// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__A4384A89_7AB8_11D3_AA19_0020188CB1AB__INCLUDED_)
#define AFX_MAINFRM_H__A4384A89_7AB8_11D3_AA19_0020188CB1AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChildView.h"
#include "MCar.h"	// Added by ClassView

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	
	UINT m_ActiveCamera;
	UINT cameraInternal;
	UINT cameraExternal;
	UINT m_typeIndex;
	UINT m_typeT;
	UINT m_polyMirror;
	MCar m_Car;
	void m_Render();
	BOOL m_needRender;
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CToolBar    m_wndToolBar;
	CChildView    m_wndView;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnPrevTran();
	afx_msg void OnNextTran();
	afx_msg void OnUpdatePrevTran(CCmdUI* pCmdUI);
	afx_msg void OnUpdateNextTran(CCmdUI* pCmdUI);
	afx_msg void OnChangeCamera();
	afx_msg void OnUpdateChangeCamera(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__A4384A89_7AB8_11D3_AA19_0020188CB1AB__INCLUDED_)
